const $ = require('jquery');
require("../css/assertTypeDetail.less");
require('./modal.js');
const {api} = require('./api.js')
const {post,getCookie,getUrlArgObjectNew} = require('./utils.js')
const iconCheck= require("./../images/icon_check.png")
const iconUnCheck = require("./../images/icon_unchecked.png")

let dataCopy
$(function(){
    getList()//获取条目列表

})
function getList(){
    post(api.getEntryByHospital,{}).then(res =>{
        let result = res.data
        if(result.code == '0'){
            const data = result.data;
            console.log(data)
            renderData(data)
            
        }else{
            
        }
    }).catch((e) =>{
    
    })
}

function renderData(data){
    dataCopy = data
    const dataKeys = Object.keys(dataCopy)
    let str = ""
    for(let i = 0; i < dataKeys.length; i++){
        str += `<div class="caseEntryBlcok ${i===0 ? 'borderTop':''}"><div class="caseEntryName">${dataKeys[i]}</div>`
        if(dataCopy[dataKeys[i]].length > 0){
            str += `<div class="caseEntryDetail"><div class="tabTitle"><span class="opera">操作</span><span class="qcItem">质控条目</span><span class="qcUsed">是否启用</span></div>`
        }
        for(let j = 0; j < dataCopy[dataKeys[i]].length; j++){
            const dataItem = dataCopy[dataKeys[i]][j]
            str += `<div class="tabInfo"><span  data-pIndex=${dataKeys[i]} data-index=${j} class="opera">${dataItem.sel == '1' ? `<img  class="iconCheck" src=${iconCheck} />`:`<img class="iconCheck" src=${iconUnCheck} />`}</span><span class="qcItem">${dataItem.name}</span><span class="qcUsed">${dataItem.isUsed == '1' ? "是":"否"}</span></div>`
        }
        if(dataCopy[dataKeys[i]].length > 0){
            str += `</div>`
        }
        str += `</div>`
    }
  
    $('.listTypeAll').html(str)
    bindBlockSlideToggle()
    bindCheck()
}
function bindBlockSlideToggle(){
 $('.caseEntryName').click(function(){
     const display =  $(this).parent().find('.caseEntryDetail').css("display");
     if(display === "none"){
        $('.caseEntryDetail').slideUp()
        $(this).parent().find('.caseEntryDetail').slideDown()
     } else{
        $('.caseEntryDetail').slideUp()
     }
    
 })
}

function bindCheck(){
    $('.iconCheck').click(function(){
        const checked =  $(this).attr('src') == iconCheck;
        const index = $(this).parent().attr('data-index')
        const pIndex = $(this).parent().attr('data-pIndex')
        if(checked){
            dataCopy[pIndex][index].sel = 0
            $(this).attr('src',iconUnCheck)
        } else{
            dataCopy[pIndex][index].sel = 1
            $(this).attr('src',iconCheck)
        }
    })
}

$('.submit').click(function(){
    const qcName = $('.patientNumInp').val().trim();
    if(!qcName){
        $.alerModal({"message":"质控类型不能为空~",type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        return
    }
    let qcTypeCasesEntryVOList = []
    const dataKeys = Object.keys(dataCopy)
    for(let i = 0; i < dataKeys.length; i++){
        for(let j = 0; j < dataCopy[dataKeys[i]].length; j++){
            const dataItem = dataCopy[dataKeys[i]][j]
            if(dataItem.sel == '1'){
                qcTypeCasesEntryVOList.push({
                    caseEntryId: dataItem.id
                })
            }
        }
      
    }

    const param = {
        id:"",
        name: qcName,
        qcTypeCasesEntryVOList
    }
   
    post(api.saveOrUpdate,param).then(res =>{
        let result = res.data
        if(result.code == '0'){
            $(parent.document).find("#contentIframe").attr("src","./assertType.html")
        }else{
            $.alerModal({"message":res.data.msg,type:"tip",time:'1000',isFather: true, fatherWrapper: $("#mainBox", parent.document)});
        }
    }).catch((e) =>{
    
    })
})